<template>
  <div>
    <h1 class="my-2">{{ $t("ProviderEdit.Services") }}</h1>
    <v-divider class="my-2"></v-divider>
    <v-data-table
      :headers="headers"
      :items="getServiceList"
      loading-text="جاري تحميل البيانات"
      no-data-text="لا يوجد بيانات"
      hide-default-footer
      disable-filtering
      disable-pagination
      disable-sort
      class="elevation-1"
    >
      <template v-slot:[`item.isActive`]="{ item }">
        <v-icon v-if="item.isActive" color="#bf87a0" class="mt-1 my-1">mdi-check-all</v-icon>
        <v-icon v-else color="#E07979" class="mt-1 my-1">mdi mdi-close-outline</v-icon>

      </template>
      <template v-slot:[`item.indoor`]="{ item }">
        <v-icon v-if="item.indoor" color="#bf87a0" class="mt-1 my-1">mdi-check-all</v-icon>
        <v-icon v-else color="#E07979" class="mt-1 my-1">mdi mdi-close-outline</v-icon>

      </template>
      <template v-slot:[`item.outdoor`]="{ item }">
        <v-icon v-if="item.outdoor" color="#bf87a0" class="mt-1 my-1">mdi-check-all</v-icon>
        <v-icon v-else color="#E07979" class="mt-1 my-1">mdi mdi-close-outline</v-icon>

      </template>
    </v-data-table>
  </div>
</template>
<script>
import { mapActions, mapGetters } from "vuex";

export default {
  name: "offers",
  data() {
    return {
      headers: [
        {
          text: this.$i18n.t("common.name"),
          value: "name",
        },
        {
          text: this.$i18n.t("Service.PriceFrom"),
          value: "priceFrom",
        },

        {
          text: this.$i18n.t("Service.PriceTo"),
          value: "priceTo",
        },
        {
          text: this.$i18n.t("ProviderEdit.discount"),
          value: "discount",
        },
        {
          text: this.$i18n.t("ProviderEdit.isActive"),
          value: "isActive",
        },
        {
          text: this.$i18n.t("Service.Duration"),
          value: "duration",
        },
        {
          text: this.$i18n.t("Service.Indoor"),
          value: "indoor",
        },
        {
          text: this.$i18n.t("Service.Outdoor"),
          value: "outdoor",
        },
      ],
    };
  },
  mounted() {
    this.fetchServices(this.$route.params.id);
  },
  methods: {
    ...mapActions("accountInformation", ["fetchServices"]),
  },
  computed: {
    ...mapGetters("accountInformation", ["getServiceList"]),
  },
};
</script>
